.angular:
    variables:
        PLATFORM: angular

.angular:debug:
    extends:
        - .angular
    rules:
        - if: $CI_COMMIT_TAG == null && $CI_PIPELINE_SOURCE == "push" && $CI_COMMIT_BRANCH == "master" # merges/pushes to master should trigger this pipeline
        - if: $CI_COMMIT_TAG == null && $ANGULAR != "" # manual trigger

.angular:release:
    extends:
        - .angular
    rules:
        - if: $CI_COMMIT_TAG != null